Name:           openalchemist
Version:        0.3
Release:        7%{?dist}
Summary:        Reflection game

Group:          Amusements/Games
License:        GPLv2+ and CC-BY-SA
URL:            http://www.openalchemist.com
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
Source1:        openalchemist.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ClanLib-devel
BuildRequires:  zip
BuildRequires:  desktop-file-utils
Requires:       pygtk2


%description
OpenAlchemist is a new reflection game which looks like classic falling block
games but where you can take your time. Be a crazy alchemist and try to make
new objects from those you get from the sky.


%prep
%setup -q -n openalchemist-%{version}-src


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/openalchemist/{CODE-LICENSE,GRAPHICS-LICENSE}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp data/logo.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/openalchemist.png
desktop-file-install --vendor="fedora" \
                     --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CODE-LICENSE GRAPHICS-LICENSE INSTALL README TODO
%{_bindir}/openalchemist
%{_bindir}/openalchemist-config
%{_datadir}/openalchemist
%{_datadir}/pixmaps/openalchemist.png
%{_datadir}/applications/fedora-openalchemist.desktop


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Xavier Bachelot <xavier@bachelot.org> 0.3-6
- Rebuild for ClanLib 1.0.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Xavier Bachelot <xavier@bachelot.org> 0.3-4
- Modify Description: tag.
- Modify Summary: tag again.

* Thu Oct 16 2008 Xavier Bachelot <xavier@bachelot.org> 0.3-3
- Modify Summary: tag.
- Add graphics license to License: tag.
- Add Requires: pygtk2.
- Update desktop file.
- Remove duplicate license files.

* Tue Oct 14 2008 Xavier Bachelot <xavier@bachelot.org> 0.3-2
- Add a desktop file and icon.

* Mon Oct 13 2008 Xavier Bachelot <xavier@bachelot.org> 0.3-1
- Initial build.
